# MapInitializeEvent (Scissors-API 1.18.2-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.event.server, class: MapInitializeEvent

Package org.bukkit.event.server

# Class MapInitializeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.server.ServerEvent
org.bukkit.event.server.MapInitializeEvent

public class MapInitializeEvent extends ServerEvent
Called when a map is initialized.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`MapInitializeEvent(@NotNull MapView mapView)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull MapView`
`getMap()`
Gets the map initialized in this event.

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MapInitializeEvent

public MapInitializeEvent(@NotNull @NotNull MapView mapView)

## Method Details

### getMap

@NotNull public @NotNull MapView getMap()
Gets the map initialized in this event.

Returns:
  Map for this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()